Skip to main content
GET
/
v0
/
subscriptions
/
list
List Subscriptions
curl --request GET \
  --url https://api.fungies.io/v0/subscriptions/list \
  --header 'x-fngs-public-key: <api-key>'
import requests

url = "https://api.fungies.io/v0/subscriptions/list"

headers = {"x-fngs-public-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-fngs-public-key': '<api-key>'}};

fetch('https://api.fungies.io/v0/subscriptions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "subscriptions": [
      {
        "id": "<string>",
        "createdAt": 4503599627370495,
        "currentIntervalEnd": 4503599627370495,
        "currentIntervalStart": 4503599627370495,
        "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "orderNumber": "<string>",
        "order": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "number": "<string>",
          "object": "order"
        },
        "object": "subscription",
        "cancelAtIntervalEnd": false,
        "canceledAt": null,
        "userId": null,
        "user": null,
        "lastPaymentId": null,
        "lastPaymentNumber": null,
        "lastPayment": null
      }
    ],
    "count": 0,
    "cursor": "<string>",
    "hasMore": false
  }
}
{
"status": "error",
"error": {
"message": "Sample error message"
}
}

Authorizations

x-fngs-public-key
string
header
required

Query Parameters

status
enum<string>

Filter Subscriptions by their status: - active: Currently active Subscription - past_due: Payment failed but will retry - canceled: Subscription has been canceled - incomplete: Initial payment failed - incomplete_expired: Initial payment failed and expired - trialing: In trial period - unpaid: Payment failed and won't retry

Available options:
all,
active,
canceled,
incomplete,
incomplete_expired,
past_due,
trialing,
paused,
unpaid
userId
string<uuid>

Filter Subscriptions by User ID

cursor
string

Pagination cursor for fetching next page

take
integer<int64>
default:10

Number of Subscriptions per page (default: 10, max: 100)

Required range: 1 <= x <= 100

Response

GET /v0/subscriptions/list Positive response

status
string
required
Allowed value: "success"
data
object
required